Package be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

# Enum Class CDDAYPERIODvalues

java.lang.Object
java.lang.Enum<CDDAYPERIODvalues>
be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDDAYPERIODvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDDAYPERIODvalues>`, `java.lang.constant.Constable`

public enum CDDAYPERIODvalues extends Enum<CDDAYPERIODvalues>

Java class for CD-DAYPERIODvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-DAYPERIODvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="afterbreakfast"/>
         <enumeration value="afterdinner"/>
         <enumeration value="afterlunch"/>
         <enumeration value="aftermeal"/>
         <enumeration value="afternoon"/>
         <enumeration value="beforebreakfast"/>
         <enumeration value="beforedinner"/>
         <enumeration value="beforelunch"/>
         <enumeration value="betweenbreakfastandlunch"/>
         <enumeration value="betweendinnerandsleep"/>
         <enumeration value="betweenlunchanddinner"/>
         <enumeration value="betweenmeals"/>
         <enumeration value="evening"/>
         <enumeration value="morning"/>
         <enumeration value="night"/>
         <enumeration value="thehourofsleep"/>
         <enumeration value="duringbreakfast"/>
         <enumeration value="duringlunch"/>
         <enumeration value="duringdinner"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTERBREAKFAST`
  `AFTERDINNER`
  `AFTERLUNCH`
  `AFTERMEAL`
  `AFTERNOON`
  `BEFOREBREAKFAST`
  `BEFOREDINNER`
  `BEFORELUNCH`
  `BETWEENBREAKFASTANDLUNCH`
  `BETWEENDINNERANDSLEEP`
  `BETWEENLUNCHANDDINNER`
  `BETWEENMEALS`
  `DURINGBREAKFAST`
  `DURINGDINNER`
  `DURINGLUNCH`
  `EVENING`
  `MORNING`
  `NIGHT`
  `THEHOUROFSLEEP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDDAYPERIODvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDDAYPERIODvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDDAYPERIODvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AFTERBREAKFAST

    public static final CDDAYPERIODvalues AFTERBREAKFAST

  - ### AFTERDINNER

    public static final CDDAYPERIODvalues AFTERDINNER

  - ### AFTERLUNCH

    public static final CDDAYPERIODvalues AFTERLUNCH

  - ### AFTERMEAL

    public static final CDDAYPERIODvalues AFTERMEAL

  - ### AFTERNOON

    public static final CDDAYPERIODvalues AFTERNOON

  - ### BEFOREBREAKFAST

    public static final CDDAYPERIODvalues BEFOREBREAKFAST

  - ### BEFOREDINNER

    public static final CDDAYPERIODvalues BEFOREDINNER

  - ### BEFORELUNCH

    public static final CDDAYPERIODvalues BEFORELUNCH

  - ### BETWEENBREAKFASTANDLUNCH

    public static final CDDAYPERIODvalues BETWEENBREAKFASTANDLUNCH

  - ### BETWEENDINNERANDSLEEP

    public static final CDDAYPERIODvalues BETWEENDINNERANDSLEEP

  - ### BETWEENLUNCHANDDINNER

    public static final CDDAYPERIODvalues BETWEENLUNCHANDDINNER

  - ### BETWEENMEALS

    public static final CDDAYPERIODvalues BETWEENMEALS

  - ### EVENING

    public static final CDDAYPERIODvalues EVENING

  - ### MORNING

    public static final CDDAYPERIODvalues MORNING

  - ### NIGHT

    public static final CDDAYPERIODvalues NIGHT

  - ### THEHOUROFSLEEP

    public static final CDDAYPERIODvalues THEHOUROFSLEEP

  - ### DURINGBREAKFAST

    public static final CDDAYPERIODvalues DURINGBREAKFAST

  - ### DURINGLUNCH

    public static final CDDAYPERIODvalues DURINGLUNCH

  - ### DURINGDINNER

    public static final CDDAYPERIODvalues DURINGDINNER

- ## Method Details

  - ### values

    public static CDDAYPERIODvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDDAYPERIODvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDDAYPERIODvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.